## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%ifarch s390x
# * tests segfault on s390x with Rust 1.71+:
#   https://bugzilla.redhat.com/show_bug.cgi?id=2226905
%bcond_with check
%else
%bcond_without check
%endif
%global debug_package %{nil}

%global crate curve25519-dalek

Name:           rust-curve25519-dalek
Version:        4.1.3
Release:        %autorelease
Summary:        Pure-Rust implementation of group operations on ristretto255 and Curve25519

License:        BSD-3-Clause
URL:            https://crates.io/crates/curve25519-dalek
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          curve25519-dalek-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency
Patch:          curve25519-dalek-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A pure-Rust implementation of group operations on ristretto255 and
Curve25519.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+digest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-devel %{_description}

This package contains library source intended for building other packages which
use the "digest" feature of the "%{crate}" crate.

%files       -n %{name}+digest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ff-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ff-devel %{_description}

This package contains library source intended for building other packages which
use the "ff" feature of the "%{crate}" crate.

%files       -n %{name}+ff-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+group-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+group-devel %{_description}

This package contains library source intended for building other packages which
use the "group" feature of the "%{crate}" crate.

%files       -n %{name}+group-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+group-bits-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+group-bits-devel %{_description}

This package contains library source intended for building other packages which
use the "group-bits" feature of the "%{crate}" crate.

%files       -n %{name}+group-bits-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+legacy_compatibility-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+legacy_compatibility-devel %{_description}

This package contains library source intended for building other packages which
use the "legacy_compatibility" feature of the "%{crate}" crate.

%files       -n %{name}+legacy_compatibility-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+precomputed-tables-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+precomputed-tables-devel %{_description}

This package contains library source intended for building other packages which
use the "precomputed-tables" feature of the "%{crate}" crate.

%files       -n %{name}+precomputed-tables-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand_core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand_core-devel %{_description}

This package contains library source intended for building other packages which
use the "rand_core" feature of the "%{crate}" crate.

%files       -n %{name}+rand_core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zeroize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zeroize-devel %{_description}

This package contains library source intended for building other packages which
use the "zeroize" feature of the "%{crate}" crate.

%files       -n %{name}+zeroize-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 21 2024 Fabio Valentini <decathorpe@gmail.com> - 4.1.3-1
- Update to version 4.1.3; Fixes RHBZ#2292990

* Mon May 06 2024 Fabio Valentini <decathorpe@gmail.com> - 4.1.2-2
- Temporarily disable tests on s390x to work around rustc / LLVM issues

* Wed May 01 2024 Fabio Valentini <decathorpe@gmail.com> - 4.1.2-1
- Update to version 4.1.2; Fixes RHBZ#2224766

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Mar 12 2023 Fabio Valentini <decathorpe@gmail.com> - 3.2.1-6
- Regenerate with rust2rpm v24 and drop nightly-only features

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Fabio Valentini <decathorpe@gmail.com> - 3.2.1-4
- Drop unused, benchmark-only criterion dev-dependency

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 06 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 3.2.1-2
- Drop features with missing dependencies; Fixes: RHBZ#2104302,
  RHBZ#2104304, RHBZ#2104305

* Tue Jul 05 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 3.2.1-1
- Update to 3.2.1; Fixes: RHBZ#2002190, RHBZ#2002464, RHBZ#2002465

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Fabio Valentini <decathorpe@gmail.com> - 3.2.0-1
- Update to version 3.2.0; Fix unresolved package review issues.

* Sun Jul 11 2021 Robert-André Mauchin <zebob.m@gmail.com> - 3.1.0-1
- Initial package

## END: Generated by rpmautospec
